
{% load static %}
{% block content %}
<head>
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">    

    <!-- Bootstrap js -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>

    <!-- CSS part  -->
    <link rel="stylesheet" type="text/css" href="{% static '/css/style_log.css' %}">

    
</head>

<!-- fill all the body into grey color  -->
<body style="background-color:#f0f0f0 " >
   <!-- Create a bootstrap header  -->
    <nav class="navbar navbar-default navbar-fixed-top">
      <div class="container">
          <a class="navbar-brand" href="/home"> <font color="#8b0000">HOME</font> </a>
          
          <ul class="nav navbar-nav navbar-right">
              {% if user.is_authenticated %}
                <!-- User is loged  -->     
                  <div class="navbar-brand" >Welcome  {{ user.get_username }}.</div>

               {% else %}
               <!-- User is  not loged  --> 
                  <div class="navbar-brand" > Welcome   new user.</div>

              {% endif %}
          </ul>
      </div>
    </nav>
    <br><br><br><br>

<center>
    <div class="title_log">Login</div>
</center>

<!-- User is loged  --> 
{% if user.is_authenticated %}
<div class="form">
    <h3><p style="font-family:Lucida Console">
        Welcome, {{ user.get_username }}. Thanks for logging in.</p></h3>
    <br>
    <a href="/home/logout/"><button type="button" class="btn btn-default btn-lg">logout</button>  </a>
</div>

{% else %}
<!-- User is not loged  --> 
<div class="form">
    <h3><p style="font-family:Lucida Console"> 
        Welcome, new user. Please log in.</p></h3>
        <br>

    <form method="post" class="form-group">
        <!-- User form  --> 
        {% csrf_token %}
        {{ form.as_p }}

    <button type="submit" class="btn btn-default btn-lg">Login</button>  
    
    <br><br>
    <!-- registration link  --> 
    <p> New ? : <a href="/register/"> <button type="button" class="btn btn-primary btn-sm">Create an account</button></a> </p>

</div>

{% endif %}
{% endblock %}


